%define anolis_release 1

Name:           lzip
Version:        1.23
Release:        %{anolis_release}%{?dist}
Summary:        LZMA compressor with integrity checking

License:        GPL-3.0-or-later
URL:            http://www.nongnu.org/lzip/lzip.html
Source0:        http://download.savannah.gnu.org/releases/lzip/lzip-%{version}.tar.gz
Source1:        http://download.savannah.gnu.org/releases/lzip/lzip-%{version}.tar.gz.sig
BuildRequires:  make
BuildRequires:  gcc-c++

%description
Lzip compresses data using LZMA (Lempel-Ziv-Markov chain-Algorithm). It
supports integrity checking using CRC (Cyclic Redundancy Check). To archive
multiple files, tar can be used with lzip. Please note, that the lzip file
format (.lz) is not compatible with the lzma file format (.lzma).

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version}
cp -a COPYING{,.txt}
sed -i 's/\r//' COPYING.txt 


%build
%configure CXXFLAGS="%{build_cxxflags}" LDFLAGS="%{build_ldflags}"
%make_build


%install
%make_install install-man

# if install-info is present, this is created by upstream's makefile
rm -Rf $RPM_BUILD_ROOT%{_infodir}/dir

%generate_compatibility_deps

%check
make check

%files
%license COPYING.txt
%{_bindir}/lzip
%{_infodir}/lzip.info*
%{_mandir}/man1/lzip.1*
%dir %{abidir}
%{abidir}/lzip-option.list

%files doc
%doc AUTHORS ChangeLog NEWS README

%changelog
* Wed Mar 29 2023 happy_orange <songnannan@linux.alibaba.com> - 1.23-1
- init package
